# MintService

> The MintService methods and their request and response messages.

Source: https://engramsfactory.com/docs/api/mint/

Generated from [`mint.proto`](https://github.com/cortexapps/engrams/blob/main/crates/engram-protocol/proto/engram/app/v1/mint.proto). Every method is
`POST /rpc/engram.app.v1.MintService/<Method>` with a JSON or protobuf body and an
`x-api-key` header.

## Methods

| Method | Request | Response |
|---|---|---|
| `ListMintKinds` | [`ListMintKindsRequest`](#listmintkindsrequest) | [`ListMintKindsResponse`](#listmintkindsresponse) |

## Messages

### ListMintKindsRequest

No fields.

### ListMintKindsResponse

| Field | Type |
|---|---|
| `mint_kinds` | repeated [`MintKind`](#mintkind) |

### MintFieldDescriptor

| Field | Type |
|---|---|
| `name` | `string` |
| `label` | `string` |
| `field_kind` | [`MintFieldKind`](#mintfieldkind) |
| `required` | `bool` |

### MintKind

| Field | Type |
|---|---|
| `kind` | `string` |
| `provider` | `string` |
| `display_name` | `string` |
| `fields` | repeated [`MintFieldDescriptor`](#mintfielddescriptor) |

## Enums

### MintFieldKind

| Value | Number |
|---|---|
| `MINT_FIELD_KIND_UNSPECIFIED` | 0 |
| `MINT_FIELD_KIND_CONFIG` | 1 |
| `MINT_FIELD_KIND_SEALED_SECRET` | 2 |
